Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Bumblebee is working fine. But primus is giving me an issue.

vblank_mode=0 primusrun glxspheres
primus: fatal: failed to load any of the libraries: /usr/lib/nvidia-304/libGL.so.1:/usr/lib32/nvidia-304/libGL.so.1
libnvidia-tls.so.304.88: cannot open shared object file: No such file or directory
/usr/lib32/nvidia-304/libGL.so.1: wrong ELF class: ELFCLASS32

I've changed the bridge mode in bumblebee.conf to primus to no avail

ls -la /usr/lib/nvidia*

/usr/lib/nvidia:
total 32
drwxr-xr-x   2 root root  4096 Apr 24 10:03 .
drwxr-xr-x 176 root root 24576 Apr 26 03:50 ..
-rwxr-xr-x   1 root root   120 Jun 29  2012 pre-install

/usr/lib/nvidia-304:
total 84392
drwxr-xr-x   6 root root     4096 Apr 25 16:33 .
drwxr-xr-x 176 root root    24576 Apr 26 03:50 ..
-rw-r--r--   1 root root        0 Apr 10 09:21 alt_ld.so.conf
drwxr-xr-x   2 root root     4096 Apr 25 16:32 bin
-rw-r--r--   1 root root       42 Apr 10 09:22 ld.so.conf
lrwxrwxrwx   1 root root       17 Apr 10 09:21 libcuda.so -> libcuda.so.304.88
lrwxrwxrwx   1 root root       17 Apr 10 09:21 libcuda.so.1 -> libcuda.so.304.88
-rw-r--r--   1 root root 10219344 Apr 10 09:22 libcuda.so.304.88
lrwxrwxrwx   1 root root       10 Apr 10 09:21 libGL.so -> libGL.so.1
lrwxrwxrwx   1 root root       15 Apr 10 09:21 libGL.so.1 -> libGL.so.304.88
-rw-r--r--   1 root root  1076560 Apr 10 09:22 libGL.so.304.88
lrwxrwxrwx   1 root root       15 Apr 10 09:21 libnvcuvid.so -> libnvcuvid.so.1
lrwxrwxrwx   1 root root       20 Apr 10 09:21 libnvcuvid.so.1 ->  libnvcuvid.so.304.88
-rw-r--r--   1 root root  2196224 Apr 10 09:22 libnvcuvid.so.304.88
lrwxrwxrwx   1 root root       18 Apr 10 09:21 libnvidia-cfg.so -> libnvidia-cfg.so.1
lrwxrwxrwx   1 root root       23 Apr 10 09:21 libnvidia-cfg.so.1 -> libnvidia-cfg.so.304.88
-rw-r--r--   1 root root   144864 Apr 10 09:22 libnvidia-cfg.so.304.88
lrwxrwxrwx   1 root root       23 Apr 10 09:21 libnvidia-compiler.so -> libnvidia-compiler.so.1
lrwxrwxrwx   1 root root       28 Apr 10 09:21 libnvidia-compiler.so.1 -> libnvidia-compiler.so.304.88
-rw-r--r--   1 root root 27730224 Apr 10 09:22 libnvidia-compiler.so.304.88
-rw-r--r--   1 root root 35454032 Apr 10 09:22 libnvidia-glcore.so.304.88
lrwxrwxrwx   1 root root       17 Apr 10 09:21 libnvidia-ml.so -> libnvidia-ml.so.1
lrwxrwxrwx   1 root root       22 Apr 10 09:21 libnvidia-ml.so.1 -> libnvidia-ml.so.304.88
-rw-r--r--   1 root root   394280 Apr 10 09:22 libnvidia-ml.so.304.88
lrwxrwxrwx   1 root root       26 Apr 25 16:33 libnvidia-opencl.so.1 -> libnvidia-opencl.so.304.88
-rw-r--r--   1 root root  8628320 Apr 10 09:22 libnvidia-opencl.so.304.88
-rw-r--r--   1 root root    11704 Apr 10 09:22 libnvidia-tls.so.304.88
lrwxrwxrwx   1 root root       23 Apr 25 16:33 libnvidia-wfb.so.1 -> libnvidia-wfb.so.304.88
-rw-r--r--   1 root root   295272 Apr 10 09:22 libnvidia-wfb.so.304.88
lrwxrwxrwx   1 root root       14 Apr 10 09:21 libOpenCL.so -> libOpenCL.so.1
lrwxrwxrwx   1 root root       16 Apr 10 09:21 libOpenCL.so.1 -> libOpenCL.so.1.0
lrwxrwxrwx   1 root root       18 Apr 10 09:21 libOpenCL.so.1.0 -> libOpenCL.so.1.0.0
-rw-r--r--   1 root root    21296 Apr 10 09:22 libOpenCL.so.1.0.0
lrwxrwxrwx   1 root root       23 Apr 10 09:21 libXvMCNVIDIA_dynamic.so.1 -> libXvMCNVIDIA.so.304.88
lrwxrwxrwx   1 root root       23 Apr 10 09:21 libXvMCNVIDIA.so -> libXvMCNVIDIA.so.304.88
lrwxrwxrwx   1 root root       23 Apr 10 09:21 libXvMCNVIDIA.so.1 -> libXvMCNVIDIA.so.304.88
-rw-r--r--   1 root root   167000 Apr 10 09:22 libXvMCNVIDIA.so.304.88
drwxr-xr-x   2 root root     4096 Apr 25 16:32 tls
drwxr-xr-x   2 root root     4096 Apr 25 16:32 vdpau
drwxr-xr-x   2 root root     4096 Apr 25 16:32 xorg
-rw-r--r--   1 root root       27 Apr 10 09:22 XvMCConfig

/usr/lib/nvidia-settings-304:
total 72
drwxr-xr-x   6 root root  4096 Apr 25 16:32 .
drwxr-xr-x 176 root root 24576 Apr 26 03:50 ..
drwxr-xr-x   2 root root  4096 Apr 25 16:32 bin
drwxr-xr-x   3 root root  4096 Apr 25 16:32 include
-rw-r--r--   1 root root    29 Apr 10 09:20 ld.so.conf
-rw-r--r--   1 root root 23062 Apr 10 09:20 libXNVCtrl.a
drwxr-xr-x   3 root root  4096 Apr 25 16:32 share
drwxr-xr-x   4 root root  4096 Apr 25 16:32 usr
share|improve this question
    
how do you install primus ? –  Qasim Apr 26 '13 at 11:15
    
through apt-get just as I did with quantal and mint 14 –  AcuriousFANofFOSS Apr 26 '13 at 11:17
    
have you added primus ppa then install or withh bumblebee ppa ? –  Qasim Apr 26 '13 at 11:18
    
I used the bumblebee ppa –  AcuriousFANofFOSS Apr 26 '13 at 11:19
    
vblank_mode=0 optirun -b primus firefox <<< assuming that you have firefox installed ... check this command and update –  Qasim Apr 26 '13 at 11:20
show 8 more comments

3 Answers 3

up vote 1 down vote accepted

I had a chat with Amonakov (one of the developpers of primus) about this yesterday in IRC. He told me that this is a problem that occurs presently in the primus version available in the Ubuntu PPA. As Mr Double Xxx suggested, the remedy is to use optirun -b primus instead. It is a different command than primusrun, but it does the same. The -b option stands for the bridge you use.

To use vblank_mode=0 for benchmarking purposes, just run

vblank_mode=0 optirun -b primus

This will most likely be updated very soon.

Update:

In the latest version of primus for Ubuntu, the command primusrun is again fully functional.

share|improve this answer
    
Awesome. He should post this as a notice in launchpad. –  AcuriousFANofFOSS Apr 26 '13 at 11:56
    
I am at work now with no access to IRC so I can't tell him. For what I know the primusrun command is not going to be deprecated. –  don.joey Apr 26 '13 at 12:00
    
That is very good to know. –  AcuriousFANofFOSS Apr 26 '13 at 12:02
    
Thanks for your help! –  AcuriousFANofFOSS Apr 26 '13 at 12:07
add comment

To use the new Primus backend, you'll also have to install Primus:

 sudo apt-get install primus

64bit: you also need to install "primus-libs-ia32:i386" (note that if you're using the Primus PPA, the package you need to install is "primus-lib:i386"):

 sudo apt-get install primus-libs-ia32:i386

You need to run primus with the following command

 vblank_mode=0 optirun -b primus glxspheres 

and ignore firefox error if you running firefox...

If bridge is auto you can view the difference

 x@Ubuntu:~$ optirun glxspheres 
 Polygons in scene: 62464
 Visual ID of window: 0x20
 Context is Direct
 OpenGL Renderer: GeForce GT 525M/PCIe/SSE2
 95.059492 frames/sec - 106.086393 Mpixels/sec
 106.950557 frames/sec - 110.888809 Mpixels/sec
 119.763802 frames/sec - 116.459279 Mpixels/sec

 x@Ubuntu:~$ vblank_mode=0 optirun -b primus glxspheres
 ATTENTION: default value of option vblank_mode overridden by environment.
 ATTENTION: default value of option vblank_mode overridden by environment.
 Polygons in scene: 62464
 ATTENTION: default value of option vblank_mode overridden by environment.
 ATTENTION: default value of option vblank_mode overridden by environment.
 Visual ID of window: 0x20
 Context is Direct
 OpenGL Renderer: GeForce GT 525M/PCIe/SSE2
 225.607877 frames/sec - 251.778391 Mpixels/sec
 232.861565 frames/sec - 244.446537 Mpixels/sec
share|improve this answer
    
Has the primusrun command been deprecated? –  AcuriousFANofFOSS Apr 26 '13 at 11:40
    
webupd8.org/2013/02/bumblebee-31-released-with-primus.html << read about primus ... i dont know about primusrun ..but its the only way i found without error –  Qasim Apr 26 '13 at 11:48
    
also please check my config in my answer as well and read comments as well askubuntu.com/questions/285647/bumblebee-issue-with-13-04/… –  Qasim Apr 26 '13 at 11:50
    
Very well, I'll check in a few hours and get back to you. Its getting a tad too late and I'm in need of some rest. –  AcuriousFANofFOSS Apr 26 '13 at 11:54
    
Thanks again for your help. I am definitely enjoying this awesomely helpful community Ubuntu has garnered over the years. –  AcuriousFANofFOSS Apr 26 '13 at 12:06
show 1 more comment

Problems have been solved with the latest versions of primus and bumblebee.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.